Package com.avaya.clientservices.collaboration

## Class CollaborationStatistics

- java.lang.Object
- - com.avaya.clientservices.collaboration.CollaborationStatistics

- Direct Known Subclasses:
    `CollaborationReceiveStatistics`

      public class CollaborationStatistics
      extends java.lang.Object

  Transmit statistics.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getActualBitRate()` | Returns actual bitrate used during data sharing.
    `long` | `getActualFrameRate()` | Returns actual frame rate.
    `java.lang.String` | `getCodec()` | Returns codec type used in collaboration data sharing.
    `long` | `getJitterMilliseconds()` | Returns average jitter in milliseconds.
    `long` | `getPacketLossCount()` | Returns lost packets count.
    `long` | `getPacketLossPercentage()` | Returns percentage of lost packets.
    `long` | `getResolutionHeight()` | Returns frame resolution height.
    `long` | `getResolutionWidth()` | Returns frame resolution width.
    `long` | `getRoundTripTimeMilliseconds()` | Returns packets round trip time in milliseconds.
    `long` | `getTargetBitRate()` | Returns target bitrate setting.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationStatistics

          public CollaborationStatistics()

  - ### Method Detail

    - #### getResolutionWidth

          public long getResolutionWidth()

      Returns frame resolution width.
      Returns:
        frame resolution width. If value is undefined -1 is returned.

    - #### getResolutionHeight

          public long getResolutionHeight()

      Returns frame resolution height.
      Returns:
        frame resolution height. If value is undefined -1 is returned.

    - #### getActualFrameRate

          public long getActualFrameRate()

      Returns actual frame rate.
      Returns:
        actual frame rate. If value is undefined -1 is returned.

    - #### getCodec

          public java.lang.String getCodec()

      Returns codec type used in collaboration data sharing.
      Returns:
        codec type used in collaboration data sharing. If value is undefined -1 is returned.

    - #### getRoundTripTimeMilliseconds

          public long getRoundTripTimeMilliseconds()

      Returns packets round trip time in milliseconds.
      Returns:
        packets round trip time in milliseconds. If value is undefined -1 is returned.

    - #### getActualBitRate

          public long getActualBitRate()

      Returns actual bitrate used during data sharing.
      Returns:
        actual bitrate used during data sharing. If value is undefined -1 is returned.

    - #### getTargetBitRate

          public long getTargetBitRate()

      Returns target bitrate setting.
      Returns:
        target bitrate setting. If value is undefined -1 is returned.

    - #### getJitterMilliseconds

          public long getJitterMilliseconds()

      Returns average jitter in milliseconds.
      Returns:
        average jitter in milliseconds. If value is undefined -1 is returned.

    - #### getPacketLossCount

          public long getPacketLossCount()

      Returns lost packets count.
      Returns:
        lost packets count. If value is undefined -1 is returned.

    - #### getPacketLossPercentage

          public long getPacketLossPercentage()

      Returns percentage of lost packets.
      Returns:
        percentage of lost packets. If value is undefined -1 is returned.